
<div class="fields-wrap">
    <form (keydown.enter)="$event.preventDefault();" [formGroup]="detailsFormGroup">
        <div class="page-wrap">
            <div class="group-header">
                <h4 class="group-title">Need More?</h4>
            </div>
            <div class="form-group">
                <div class="form-row">
                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaOnly maxlength="100" placeholder="Applicant Name" formControlName="applicantName" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('applicantName').errors && detailsFormGroup.get('applicantName').errors.required">Please enter Application Name</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col daterange-picker">
                        <mat-form-field class="new-user-form-field date-label">
                            <input matInput readonly [errorStateMatcher]="formSubmittedMatcher" placeholder="Applicant DOB" [options]="myApplicantDob" class="date-input" ngx-mydatepicker formControlName="applicantDob" #ngxdbp="ngx-mydatepicker"/>
                            <div class="calendar-btn-group">
                                <!-- <span (click)="ngxdbp.clearDate()"><i class="material-icons">clear</i></span> -->
                                <span (click)="ngxdbp.toggleCalendar()"><i class="material-icons">today</i></span>
                            </div>
                            <mat-error *ngIf="detailsFormGroup.get('applicantDob').errors && detailsFormGroup.get('applicantDob').errors.required">Please enter Applicant DOB</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericOnly [upperOnly]="true" maxlength="10" placeholder="Applicant PAN" formControlName="applicantPan" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('applicantPan').errors && detailsFormGroup.get('applicantPan').errors.required">Please enter Application PAN</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('applicantPan').errors && detailsFormGroup.get('applicantPan').errors.pan && detailsFormGroup.get('applicantPan').errors.pan.pattern">Please enter valid Application PAN</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Gender" formControlName="gender" disableOptionCentering>
                                <mat-option>Select</mat-option>
                                <!-- <mat-option *ngFor="let item of constantsService.constants.gender" [value]="item.key">{{ item.value }}</mat-option> -->
                            </mat-select>
                            <mat-error *ngIf="detailsFormGroup.get('gender').errors && detailsFormGroup.get('gender').errors.required">Please select Gender</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsOnly placeholder="Email" formControlName="email" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('email').errors && detailsFormGroup.get('email').errors.email && detailsFormGroup.get('email').errors.email.required">Please enter Email Id</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('email').errors && detailsFormGroup.get('email').errors.email && detailsFormGroup.get('email').errors.email.pattern">Please enter valid Email Id</mat-error>
                        </mat-form-field>
                    </div>
                </div>
            </div>
        </div>
                
        <div class="btn-wrap clearfix">
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="exit()" [disableRipple]="true">Exit</button>
            <button class="main-btn" mat-button type="submit" (click)= "submit()" [disableRipple]="true">CONTINUE</button>
            <app-loader *ngIf="formSubmitted" type="3"></app-loader>
        </div>
    </form>
</div>



